[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDragManager.MouseUp

Ends a drag operation when a mouse up event has occurred.

## Declaration

Source position: controls.pp line 638

`protected procedure TDragManager.MouseUp(`
`Button: TMouseButton;`
`Shift: TShiftState;`
`X: Integer;`
`Y: Integer`
`); virtual; abstract;`

## Arguments

`Button` |  | Mouse button for the notification.
`Shift` |  | Ctrl, Shift, or Alt modifier for the notification.
`X` |  | Horizontal pointer position when the mouse event was detected.
`Y` |  | Vertical pointer position when the mouse event was detected.

## Description

MouseUp is an abstract virtual method in TDragManager. It must be implemented in a descendent class to perform actions needed for the notification.